Skip to content
Start here

Update a Warp Connector Tunnel

client.ZeroTrust.Tunnels.WARPConnector.Edit(ctx, tunnelID, params) (*TunnelWARPConnectorEditResponse, error)
PATCH/accounts/{account_id}/warp_connector/{tunnel_id}

Updates an existing Warp Connector Tunnel.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Connectors WriteCloudflare One Connector: WARP Write
ParametersExpand Collapse
tunnelID string

UUID of the tunnel.

formatuuid
maxLength36
params TunnelWARPConnectorEditParams
AccountID param.Field[string]

Path param: Cloudflare account ID

maxLength32
Name param.Field[string]optional

Body param: A user-friendly name for a tunnel.

TunnelSecret param.Field[string]optional

Body param: Sets the password required to run a locally-managed tunnel. Must be at least 32 bytes and encoded as a base64 string.

ReturnsExpand Collapse
type TunnelWARPConnectorEditResponse struct{…}

A Warp Connector Tunnel that connects your origin to Cloudflare’s edge.

ID stringoptional

UUID of the tunnel.

formatuuid
maxLength36
AccountTag stringoptional

Cloudflare account ID

maxLength32
DeprecatedConnections []TunnelWARPConnectorEditResponseConnectionoptional
This field will start returning an empty array. To fetch the connections of a given tunnel, please use the dedicated endpoint `/accounts/{account_id}/{tunnel_type}/{tunnel_id}/connections`

The Cloudflare Tunnel connections between your origin and Cloudflare’s edge.

ID stringoptional

UUID of the Cloudflare Tunnel connection.

formatuuid
maxLength36
ClientID stringoptional

UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
ClientVersion stringoptional

The cloudflared version used to establish this connection.

ColoName stringoptional

The Cloudflare data center used for this connection.

IsPendingReconnect booloptional

Cloudflare continues to track connections for several minutes after they disconnect. This is an optimization to improve latency and reliability of reconnecting. If true, the connection has disconnected but is still being tracked. If false, the connection is actively serving traffic.

OpenedAt Timeoptional

Timestamp of when the connection was established.

formatdate-time
OriginIP stringoptional

The public IP address of the host running cloudflared.

UUID stringoptional

UUID of the Cloudflare Tunnel connection.

formatuuid
maxLength36
ConnsActiveAt Timeoptional

Timestamp of when the tunnel established at least one connection to Cloudflare’s edge. If null, the tunnel is inactive.

formatdate-time
ConnsInactiveAt Timeoptional

Timestamp of when the tunnel became inactive (no connections to Cloudflare’s edge). If null, the tunnel is active.

formatdate-time
CreatedAt Timeoptional

Timestamp of when the resource was created.

formatdate-time
DeletedAt Timeoptional

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
Metadata unknownoptional

Metadata associated with the tunnel.

Name stringoptional

A user-friendly name for a tunnel.

Status TunnelWARPConnectorEditResponseStatusoptional

The status of the tunnel. Valid values are inactive (tunnel has never been run), degraded (tunnel is active and able to serve traffic but in an unhealthy state), healthy (tunnel is active and able to serve traffic), or down (tunnel can not serve traffic as it has no connections to the Cloudflare Edge).

One of the following:
const TunnelWARPConnectorEditResponseStatusInactive TunnelWARPConnectorEditResponseStatus = "inactive"
const TunnelWARPConnectorEditResponseStatusDegraded TunnelWARPConnectorEditResponseStatus = "degraded"
const TunnelWARPConnectorEditResponseStatusHealthy TunnelWARPConnectorEditResponseStatus = "healthy"
const TunnelWARPConnectorEditResponseStatusDown TunnelWARPConnectorEditResponseStatus = "down"
TunType TunnelWARPConnectorEditResponseTunTypeoptional

The type of tunnel.

One of the following:
const TunnelWARPConnectorEditResponseTunTypeCfdTunnel TunnelWARPConnectorEditResponseTunType = "cfd_tunnel"
const TunnelWARPConnectorEditResponseTunTypeWARPConnector TunnelWARPConnectorEditResponseTunType = "warp_connector"
const TunnelWARPConnectorEditResponseTunTypeWARP TunnelWARPConnectorEditResponseTunType = "warp"
const TunnelWARPConnectorEditResponseTunTypeMagic TunnelWARPConnectorEditResponseTunType = "magic"
const TunnelWARPConnectorEditResponseTunTypeIPSec TunnelWARPConnectorEditResponseTunType = "ip_sec"
const TunnelWARPConnectorEditResponseTunTypeGRE TunnelWARPConnectorEditResponseTunType = "gre"
const TunnelWARPConnectorEditResponseTunTypeCNI TunnelWARPConnectorEditResponseTunType = "cni"

Update a Warp Connector Tunnel

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/zero_trust"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.ZeroTrust.Tunnels.WARPConnector.Edit(
    context.TODO(),
    "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    zero_trust.TunnelWARPConnectorEditParams{
      AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "account_tag": "699d98642c564d2e855e9661899b7252",
    "connections": [
      {
        "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_version": "2022.7.1",
        "colo_name": "DFW",
        "is_pending_reconnect": false,
        "opened_at": "2021-01-25T18:22:34.317854Z",
        "origin_ip": "10.1.0.137",
        "uuid": "1bedc50d-42b3-473c-b108-ff3d10c0d925"
      }
    ],
    "conns_active_at": "2009-11-10T23:00:00Z",
    "conns_inactive_at": "2009-11-10T23:00:00Z",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "metadata": {},
    "name": "blog",
    "status": "healthy",
    "tun_type": "cfd_tunnel"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "account_tag": "699d98642c564d2e855e9661899b7252",
    "connections": [
      {
        "id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_id": "1bedc50d-42b3-473c-b108-ff3d10c0d925",
        "client_version": "2022.7.1",
        "colo_name": "DFW",
        "is_pending_reconnect": false,
        "opened_at": "2021-01-25T18:22:34.317854Z",
        "origin_ip": "10.1.0.137",
        "uuid": "1bedc50d-42b3-473c-b108-ff3d10c0d925"
      }
    ],
    "conns_active_at": "2009-11-10T23:00:00Z",
    "conns_inactive_at": "2009-11-10T23:00:00Z",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "metadata": {},
    "name": "blog",
    "status": "healthy",
    "tun_type": "cfd_tunnel"
  },
  "success": true
}